Class Specialization
WildShiftAnd
Exact string matching with wildcards using bit parallelism. The Shift-And algorithm is applicable to search small patterns in texts using a small alphabet.

Pattern

WildShiftAnd

Pattern<TNeedle, WildShiftAnd>
Include Headers
seqan/find.h
Parameters

TNeedle | The needle type. Types: String

Remarks
The supported wildcards are * (zero or more occurrence), + (one or more occurrences), ? (optional character), . (every character), character classes (e.g. [a-z]) and bounded repeats (e.g. {n,m}).
After the find-Method returned the Finder will point to the last position of the occurrence
We encourage the user to intialize the Pattern with a String<char> (setHost or the C'tor). If you use for instance String <Dna> instead you won't be able to specify wildcards
Specialization of
Pattern
Metafunctions

Host | Type of the object a given object depends on. (Pattern)
Needle | Returns the needle type of a Pattern type. (Pattern)
ScoringScheme | Returns the scoring scheme of an approximate searching algorithm. (Pattern)

Functions

find | Search for a Pattern in a Finder object. (Pattern)
findBegin | Search the begin of an approximate match. (Pattern)
host | The object a given object depends on. (Pattern)
needle | Returns the needle of a Pattern object (not implemented for some online-algorithms). (Pattern)
position | Position of an iterator. (Pattern)
scoringScheme | The scoring scheme used for finding or aligning. (Pattern)
setNeedle | Sets the needle of a Pattern object and optionally induces preprocessing. (Pattern)
setScoringScheme | Sets the scoring scheme used for finding or aligning. (Pattern)

Example Programs
Wildcard Searching
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00